PROFISIS(1)

NAME
profisis - protein-protein interaction sites identified from sequence

SYNOPSIS
profisis [OPTION]

DESCRIPTION
profisis (ISIS) is a machine learning-based method that identifies interacting residues from sequence alone. Although the method is developed using transient protein-protein interfaces from complexes of experimentally known 3D structures, it never explicitly uses 3D infor- mation. Instead, we combine predicted structural features with evolutionary information. The strongest predictions of the method reached over 90% accuracy in a cross-validation experiment. Our results suggest that despite the significant diversity in the nature of protein-protein interactions, they all share common basic principles and that these principles are identifiable from sequence alone.

  Conversion of PSI-BLAST alignment to HSSP format
The most up-to-date procedure can be found at <https://www.rostlab.org/owiki/index.php/How_to_generate_an_HSSP_file_from_alignment#Generating_an_HSSP_profile>.

1. Convert BLAST output to a Single Alignment Format (SAF):
     /usr/share/librg-utils-perl/blast2saf.pl fasta=<query_fasta_file> maxAli=3000 eSaf=1 \
      saf=<saf_formatted_file> <blast_output>

2. Convert SAF format to HSSP:
     /usr/share/librg-utils-perl/copf.pl <saf_formatted_file> formatIn=saf formatOut=hssp \
      fileOut=<hssp_formatted_file> exeConvertSeq=convert_seq

3. Filter results to 80% redundancy:
     /usr/share/librg-utils-perl/hssp_filter.pl red=80 <hssp_formatted_file> fileOut=<filtered_hssp_formatted_file>

  Output format
See description of --outformat option.

REFERENCES

Ofran, Y. and Rost, B. (2007). ISIS: interaction sites identified from sequence.  Bioinformatics, 23(2), e13-6.

OPTIONS
Required parameters

--fastafile
    file that contains your sequence in fasta format

--hsspfile
    file with hssp data for sequence in --fastafile

--rdbproffile
    file with prof output for sequence in --fastafile

--outfile
    output file

Optional parameters

--outformat
    output format [pp|prval], default=pp

    pp  PredictProtein format:

         Output ::= Header_Line Binary_Out Raw_Out

         Header_Line ::= '>' Header_String '\n'

         Binary_Out ::= ( Horiz_Sequence '\n' Bin_Pred '\n\n' )+

         Horiz_Sequence ::= Amino_Acid_One_Letter_Code{,40}

         Bin_Pred ::= [P-]{,40}

        'P' marks binding residue.

         Raw_Out ::= ( Amino_Acid_Number ' ' Amino_Acid_One_Letter_Code ' ' Prediction_Score '\n' )+

         Prediction_Score ::= Integer_Value

        See example outputs in /usr/share/doc/profisis/examples.

    prval
        ( 'resn resi predicted_value' )+, e.g.

         '1 M 25'
         '2 R 36'
         ...

--debug
--nodebug
    Default: --nodebug

--succinct
    Succinct output (print no confidence values).

Parameters controlling post processing - these parameters affect only the top part of the 'pp' output format

--gap=int
    default=20

--stretch=int
    default=5

--crd=int
    default=7

--crd-restriction
--nocrd-restriction
    Default: --crd-restriction. Use original ($crd = undef) code (--crd-restriction) or use new ($cr) code (--nocrd-restriction).

EXAMPLES
 profisis --fastafile /usr/share/doc/profisis/examples/3A1P_A.fasta --hsspfile /usr/share/doc/profisis/examples/3A1P_A.hssp --rdbproffile /usr/share/doc/profisis/examples/3A1P_A.rdbProf --outfile /tmp/3A1P_A.profisis

ENVIRONMENT

PROFISISCONF
    Location of configuration file to use, overriding other configuration files

FILES

/usr/share/profisis/profisisrc.default
    Default configuration file. See this file for a description of the parameters.

/etc/profisisrc
    System configuration file overriding values in /usr/share/profisis/profisisrc.default

~/.profisisrc
    User configuration file overriding values in /etc/profisisrc

$PROFISISCONF
    If this environment variable is set ~/.profisisrc is disregarded and the value of the variable is read for configuration options overriding /etc/profisisrc

AUTHOR
Yanay Ofran and Burkhard Rost

SEE ALSO
prof(1)